Status: Resolved Priority: Should have
Author: Robert Lemke Category: Session
Created: 2012-10-25 Assigned To: Robert Lemke
Updated: 2012-11-08 Due date:
PHP Version: 5.4
Has patch: No
Complexity: medium
Subject: Session handler based on HTTP foundation with multi-backend support
Description

I'd like a new session implementation which

    -  simplifies testing by using the HTTP foundation
    -  allows for using various storage backends, such as Redis, Memcache, APC, PDO databases etc

Related issues:
related to TYPO3.Flow - Feature # 42366: Make session handling compatible to ... Rejected 2012-10-25

Associated revisions
Revision 5b56ade8 - 2012-11-08 14:22 - Robert Lemke

[FEATURE] Native PHP-based session handler

This introduces an alternative session implementation which is based on
the backend modules of the Flow Cache framework. All cache backend
implementations available for caching (PDO, Redis, Apc, Memcache etc)
can now be used for storing session data.

Related: #42366
Resolves: #42403
Releases: 1.2
Change-Id: I0a01796f0f6ce34b9040f677fdb9740ae52ca517

History
#1 - 2012-11-08 11:29 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15942

#2 - 2012-11-08 14:23 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15942

#3 - 2012-11-08 17:35 - Robert Lemke
http://review.typo3.org/15942
http://review.typo3.org/15942


- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5b56ade837f86ecb80678392b229cffd691232f3.
